Skip to content
Last updated

Overview

Our research has shown that hospitality Merchants want to have a choice of which Ordering Apps they accept. Through interviews, we have learned how much extra work it puts on the Merchants and their POS to accept these Apps. For Merchants, the effort to re-enter each order into the POS (particularly during busy periods) can be quite onerous, and for POSs having to maintain separate integrations with a range of Ordering Apps seems like an unnecessary overhead.

The goal of Tyro Connect's Ordering API is to alleviate both of these problems by developing an API that has been specifically designed to support all types of Ordering Apps. One integration with our Ordering API provides App Partners with access to a number of Australia's top hospitality POSs, and unlocks many different Ordering Apps for Merchants and their POS Partner. For Merchants, having orders flow straight into their POS and workflow saves time and eliminates errors.

Version 1.0 of the Ordering API supports the following App types:

  • Take away (including both delivery and pick up)
  • In restaurant (table service and counter service with notifications)

Hospitality POSs that are signed up to Tyro Connect include:

Apps that are supported in Version 1.0 include:

Apps that are coming soon include:

Version 1.1

Version 1.1 of the Ordering API adds support for a payment status so partner Apps can indicate whether an order has to be paid or not. For POS systems, this means orders can contain the paymentStatus when fetched. This status indicates whether the order needs to be paid or not. For more information, refer to the Changelog.

Typical ordering workflow

Ordering Workflow

API reference

EndpointDescription
POST /ordersCreate an order (App only)
GET /orders/{orderId}Get an order by ID
PATCH /orders/{orderId}Update an order's status

Full request and response schemas, including error responses, are in the API Explorer.